Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
st_table_entry Struct Reference

## Data Fields
st_index_t | hash
st_data_t | key
st_data_t | record
st_table_entry * | next
st_table_entry * | fore
st_table_entry * | back

## Detailed Description

Definition at line 20 of file st.c.

## Field Documentation

st_table_entry * st_table_entry::back

Definition at line 25 of file st.c.

Referenced by add_direct(), remove_entry(), st_copy(), and unpack_entries().

st_table_entry* st_table_entry::fore

Definition at line 25 of file st.c.

Referenced by add_direct(), rehash(), remove_entry(), st_copy(), st_foreach(), st_foreach_check(), st_update(), and unpack_entries().

st_index_t st_table_entry::hash

Definition at line 21 of file st.c.

Referenced by new_entry(), rehash(), st_copy(), st_foreach(), and st_foreach_check().

st_data_t st_table_entry::key

Definition at line 22 of file st.c.

Referenced by new_entry(), st_cleanup_safe(), st_delete(), st_delete_safe(), st_foreach(), st_foreach_check(), st_get_key(), and st_update().

st_table_entry* st_table_entry::next

Definition at line 24 of file st.c.

Referenced by find_entry(), new_entry(), rehash(), st_cleanup_safe(), st_clear(), st_copy(), st_delete(), st_delete_safe(), st_foreach(), st_foreach_check(), and st_update().

st_data_t st_table_entry::record

Definition at line 23 of file st.c.

Referenced by new_entry(), st_delete(), st_delete_safe(), st_foreach(), st_foreach_check(), st_insert(), st_insert2(), st_lookup(), and st_update().

The documentation for this struct was generated from the following file:

- st.c